Subject: Re: How to make gitk not overwrite my selection?

From: Jean-Luc Herren <[email-masked]>
Date: Wed, 05 Mar 2008 23:44:10 +0100

Jeff King wrote:
> On Tue, Mar 04, 2008 at 04:39:08PM +0100, Jean-Luc Herren wrote:
>> In gitk, whenever I select a commit in the tree, the SHA1 field
>> gets automatically selected, putting its hash into the current
>> selection for easy pasting into other applications. 

> The patch below seems to work for me (see the "auto-select sha1" option
> under preferences). However, I don't actually know tcl, so I
> cargo-culted all of the option processing magic. Paul, if you want to
> take this patch, please read it carefully. ;)

Thanks, I don't know tcl either, but the patch seems to work great
here.

jlh